Name: heat-cfntools
Version: 1.4.2
Release: 11%{?dist}.2
Summary: Tools required to be installed on Heat provisioned cloud instances
License: ASL 2.0
URL: https://launchpad.net/heat-cfntools/
Source0: https://pypi.python.org/packages/source/h/heat-cfntools/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-testrepository
BuildRequires: python3-boto
BuildRequires: python3-mock
BuildRequires: python3-nose
BuildRequires: python3-pbr >= 0.5.20
BuildRequires: python3-six

# imported by cfn_helper
Requires: python3-boto
Requires: python3-psutil
Requires: python3-six >= 1.9.0

# external commands
Requires: bzip2
Requires: coreutils
Requires: curl
Requires: gzip
Requires: python3-setuptools
Requires: shadow-utils
Requires: tar

%description
Tools required to be installed on Heat provisioned cloud instances

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
mkdir -p %{buildroot}/%{_sharedstatedir}/%{name}

%check
nosetests-%{python3_version}

%files
%doc README.rst CONTRIBUTING.rst AUTHORS ChangeLog
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/cfn-*
%{python3_sitelib}/heat_cfntools*
%dir %{_sharedstatedir}/%{name}

%changelog
* Wed May 12 2021 CPaaS User <cpaas-ops@redhat.com> - 1.4.2-11.2
- Bump release

* Wed May 12 2021 CPaaS User <cpaas-ops@redhat.com> - 1.4.2-11.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.4.2-11
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.4.2-10
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 1.4.2-9
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.4.2-8
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.4.2-7
- rebuilt

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4.2-5
- Rebuilt for Python 3.7

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 Miro Hrončok <mhroncok@redhat.com> - 1.4.2-1
- Rebuild for Python 3.6
- Updated

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 10 2015 Ryan S Brown <ryansb@redhat.com> - 1.3.0-6
- Rebuilt for dependency re-resolution

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 13 2015 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-4
- Build with Python 3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 15 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 1.3.0-2
- Enforce python-six >= 1.9.0 (RHBZ #1231908)

* Fri May 29 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 1.3.0-1
- Upstream 1.3.0
- Cleanup spec file

* Thu Nov 06 2014 Colin Walters <walters@redhat.com> - 1.2.8-2
- Remove yum dependency, as it will not typically be installed on Atomic hosts

* Thu Aug 28 2014 Jeff Peeler <jpeeler@redhat.com> 1.2.8-1
- rebase to 1.2.8
- remove wget dependency as it's no longer required
- remove rubygems dependency as it's too big for non-ruby users

* Tue Aug 19 2014 Jeff Peeler <jpeeler@redhat.com> 1.2.7-4
- fix dependencies to include external commands (rhbz#1130964)

* Sat Jul 12 2014 Tom Callaway <spot@fedoraproject.org> 1.2.7-2
- fix license handling

* Tue Jun 24 2014 Jeff Peeler <jpeeler@redhat.com> 1.2.7
- rebase to 1.2.7

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 11 2013 Jeff Peeler <jpeeler@redhat.com> 1.2.6-2
- add /var/lib/heat-cfntools directory (rhbz #1028664)

* Tue Oct 22 2013 Jeff Peeler <jpeeler@redhat.com> 1.2.6-1
- rebase to 1.2.6
- added new doc files
- bump boto version requirement
- add python-pbr buildrequire
- fixed previous changelog date

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Jeff Peeler <jpeeler@redhat.com> 1.2.3-1
- rebased to 1.2.3

* Fri Mar 22 2013 Jeff Peeler <jpeeler@redhat.com> 1.2.1-1
- Version bump to match upstream
- Added cfn-create-aws-symlinks
- Updated URL, Source
- Added psutil requires
- Changed install location from /opt to /bin

* Mon Dec 24 2012 Steve Baker <sbaker@redhat.com> 1.0-1
- initial fork of heat-jeos
